import { Resource } from "../../../core";
import { Construct } from 'constructs';
import { IListenerAction } from './listener-action';
/**
 * (experimental) Base class for listeners.
 *
 * @experimental
 */
export declare abstract class BaseListener extends Resource {
    /**
     * @experimental
     * @attribute true
     */
    readonly listenerArn: string;
    private defaultAction?;
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, additionalProps: any);
    /**
     * (experimental) Validate this listener.
     *
     * @experimental
     */
    protected validate(): string[];
    /**
     * Configure the default action
     *
     * @internal
     */
    protected _setDefaultAction(action: IListenerAction): void;
}
